Package org.apache.ignite.client.events

## Class ClientStopEvent

- java.lang.Object
- - org.apache.ignite.client.events.ClientStopEvent

All Implemented Interfaces:
  `ClientLifecycleEvent`

    public class ClientStopEvent
    extends Object
    implements ClientLifecycleEvent

Event, triggered when Ignite client is stopped.

### Constructor Summary

Constructors
`ClientStopEvent​(IgniteClient client)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteClient` `client()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientStopEvent

    public ClientStopEvent​(IgniteClient client)

Parameters:
  `client` - Ignite client instance.

### Method Detail

#### client

    public IgniteClient client()

Returns:
  Ignite client instance.